Bug 127257 - CAN-2004-0619 Broadcom 5820 integer overflow (ipf)
CAN-2004-0619 Broadcom 5820 integer overflow (ipf)
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: John W. Linville
Brian Brock
: Security
Depends On:
  Show dependency treegraph
Reported: 2004-07-05 06:58 EDT by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-12-20 10:56:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
/bcm5820-cleanup-rhel21-ia64.patch (53.13 KB, patch)
2004-12-15 12:17 EST, John W. Linville
no flags Details | Diff

  None (edit)
Description Mark J. Cox (Product Security) 2004-07-05 06:58:41 EDT
Reported to Bugtraq on Jun23.  

An integer overflow in the ubsec_keysetup function for Linux Broadcom
5820 cryptonet driver allows local users to cause a denial of service
(crash) and possibly execute arbitrary code via a negative
add_dsa_buf_bytes variable, which leads to a buffer overflow.

See also http://secunia.com/advisories/11936/
Comment 1 Jim Paradis 2004-11-29 16:31:10 EST
See also Bug 127258
Comment 2 John W. Linville 2004-12-15 12:17:13 EST
Created attachment 108636 [details]

Patch applies same security fixes and cleanup that was applied to RHEL3 in bug
Comment 4 Mark J. Cox (Product Security) 2004-12-20 10:56:47 EST
bcm5820 driver is not functional on rhel2.1-ia64 therefore has no
security impact.  closing. 

Note You need to log in before you can comment on or make changes to this bug.